Bug 1005499 - (caja-terminal) Review Request: caja-terminal - Terminal embedded in Caja
Review Request: caja-terminal - Terminal embedded in Caja
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
: Reopened
Depends On: python-caja
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2013-09-07 12:44 EDT by Wolfgang Ulbrich
Modified: 2014-10-23 13:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: caja-terminal-0.8.1-4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-23 13:50:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2013-09-07 12:44:14 EDT
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/caja-terminal.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/caja-terminal-0.8.1-1.fc21.src.rpm
Description: Caja Terminal is a terminal embedded in Caja, the MATE file browser.
It is always open in the current folder, and follows the navigation
(like an automated "cd" command).
Fedora Account System Username: raveit65
Comment 1 Mohamed El Morabity 2013-09-07 12:58:18 EDT
Be careful, guidelines are strict concerning sources, especially retrieved from Github:
   http://fedoraproject.org/wiki/Packaging:SourceURL#Github
Please never upload upstream tarballs on your own web spaces. Use instead the correspondig git hash corresponding to the release you're packaging, as described in the guidelines.
Comment 2 Björn 'besser82' Esser 2013-09-07 13:00:13 EDT
taken ;)
Comment 3 Wolfgang Ulbrich 2013-09-07 13:15:49 EDT
(In reply to Mohamed El Morabity from comment #1)
> Be careful, guidelines are strict concerning sources, especially retrieved
> from Github:
>    http://fedoraproject.org/wiki/Packaging:SourceURL#Github
> Please never upload upstream tarballs on your own web spaces. Use instead
> the correspondig git hash corresponding to the release you're packaging, as
> described in the guidelines.

I'm upstream and i decided to release on fedorapeople for this reason.
# upstream is located at github, but links from tag releases doesn't match copied link in
# web-browser, in result fedora-rewiew-tool will fail.
# so i decided to release on fedorapeople to have a valid download link

Is this really a problem for you?
I can also release on raveit.de (my own server)
Comment 4 Mohamed El Morabity 2013-09-09 06:56:55 EDT
(In reply to Wolfgang Ulbrich from comment #3)
> I'm upstream and i decided to release on fedorapeople for this reason.
> # upstream is located at github, but links from tag releases doesn't match
> copied link in
> # web-browser, in result fedora-rewiew-tool will fail.
> # so i decided to release on fedorapeople to have a valid download link
> 
> Is this really a problem for you?
> I can also release on raveit.de (my own server)
If you're upstream, there's no problem then :). Putting the tarball on fedorapeople is OK. Maybe you could just mention on your Github project page the place to get "proper" tarballs on your fedorapeople space. It may be especially useful for any people interested in packaging caja-terminal for other Linux distributions.
Comment 5 Wolfgang Ulbrich 2013-09-09 07:18:46 EDT
(In reply to Mohamed El Morabity from comment #4)
> (In reply to Wolfgang Ulbrich from comment #3)
> > I'm upstream and i decided to release on fedorapeople for this reason.
> > # upstream is located at github, but links from tag releases doesn't match
> > copied link in
> > # web-browser, in result fedora-rewiew-tool will fail.
> > # so i decided to release on fedorapeople to have a valid download link
> > 
> > Is this really a problem for you?
> > I can also release on raveit.de (my own server)
> If you're upstream, there's no problem then :). Putting the tarball on
> fedorapeople is OK. Maybe you could just mention on your Github project page
> the place to get "proper" tarballs on your fedorapeople space. It may be
> especially useful for any people interested in packaging caja-terminal for
> other Linux distributions.

If someone want to download a tarball for ie. self compiling he can use a taged release.
https://github.com/NiceandGently/caja-terminal/releases
Using the tar.gz link there downloads %{name}-%{version}.tar.gz on your desktop.
But if i try to copy the download link for the spec file i have this result.
https://github.com/NiceandGently/caja-terminal/archive/v0.8.1.tar.gz .

With this link fedora-review tool will fail.
And if i tag with %{name}-%{version} the tarball is named like this.
%{name}-%{name}-%{version}......funny....
This problem exits since github drop the posibility to provide a release six or seven month ago.
I'm not shure if this current situation is reflected in guide lines.
But i can mention the release on fedorapeople in the readme.md, useful for maintainer from other distros.
Comment 6 Björn 'besser82' Esser 2013-09-21 10:56:21 EDT
Package has some minor issues.  No blockers.  You can fix that during SCM-import.  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1005499-caja-
     terminal/licensecheck.txt
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/caja/extensions-2.0/python
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/lib64/caja/extensions-2.0/python, /usr/lib64/caja,
     /usr/lib64/caja/extensions-2.0
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.

     ---> hash-bangs should point to %{__python2}

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: caja-terminal-0.8.1-1.fc21.x86_64.rpm
          caja-terminal-0.8.1-1.fc21.src.rpm
caja-terminal.x86_64: W: spelling-error %description -l en_US cd -> CD, dc, Cd
caja-terminal.x86_64: E: no-binary
caja-terminal.x86_64: W: only-non-binary-in-usr-lib
caja-terminal.src: W: spelling-error %description -l en_US cd -> CD, dc, Cd
2 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint caja-terminal
caja-terminal.x86_64: W: spelling-error %description -l en_US cd -> CD, dc, Cd
caja-terminal.x86_64: E: no-binary
caja-terminal.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
caja-terminal (rpmlib, GLIBC filtered):
    /usr/bin/python
    pygtk2
    python-caja
    pyxdg
    vte



Provides
--------
caja-terminal:
    caja-terminal
    caja-terminal(x86-64)



Source checksums
----------------
http://raveit65.fedorapeople.org/Mate/SOURCE/caja-terminal-0.8.1.tar.gz :
  CHECKSUM(SHA256) this package     : e54eec1cd94a6d84d916f729d4c54c7ee94e969d2916b51414befc67e3b83b98
  CHECKSUM(SHA256) upstream package : e54eec1cd94a6d84d916f729d4c54c7ee94e969d2916b51414befc67e3b83b98


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1005499
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!
Comment 7 Wolfgang Ulbrich 2013-09-21 11:09:09 EDT
New Package SCM Request
=======================
Package Name: caja-terminal
Short Description: Terminal embedded in Caja
Owners: raveit65
Branches: f18 f19 f20
InitialCC:
Comment 8 Wolfgang Ulbrich 2013-09-21 11:12:12 EDT
Thank you for the review Björn.
Comment 9 Gwyn Ciesla 2013-09-23 08:44:07 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-09-23 16:57:51 EDT
caja-terminal-0.8.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/caja-terminal-0.8.1-2.fc19
Comment 11 Fedora Update System 2013-09-23 16:58:01 EDT
caja-terminal-0.8.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/caja-terminal-0.8.1-2.fc18
Comment 12 Fedora Update System 2013-09-23 16:58:09 EDT
caja-terminal-0.8.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/caja-terminal-0.8.1-2.fc20
Comment 13 Fedora Update System 2013-09-24 18:53:57 EDT
caja-terminal-0.8.1-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Fedora Update System 2013-09-25 02:40:40 EDT
caja-terminal-0.8.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/caja-terminal-0.8.1-3.fc19
Comment 15 Fedora Update System 2013-09-25 02:40:49 EDT
caja-terminal-0.8.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/caja-terminal-0.8.1-3.fc18
Comment 16 Fedora Update System 2013-09-25 02:40:59 EDT
caja-terminal-0.8.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/caja-terminal-0.8.1-3.fc20
Comment 17 Ville Skyttä 2013-09-25 13:57:41 EDT
The -debuginfo package is empty. If there's nothing to extract debug info from, it should be explicitly disabled.
Comment 18 Wolfgang Ulbrich 2013-09-25 14:13:48 EDT
Thanks for you hint, i will build the package without debuginfo.
Comment 19 Fedora Update System 2013-09-25 15:10:36 EDT
caja-terminal-0.8.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/caja-terminal-0.8.1-4.fc19
Comment 20 Fedora Update System 2013-09-25 15:10:47 EDT
caja-terminal-0.8.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/caja-terminal-0.8.1-4.fc20
Comment 21 Fedora Update System 2013-09-25 15:10:58 EDT
caja-terminal-0.8.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/caja-terminal-0.8.1-4.fc18
Comment 22 Fedora Update System 2013-09-26 20:41:19 EDT
Package caja-terminal-0.8.1-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing caja-terminal-0.8.1-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17717/caja-terminal-0.8.1-4.fc20
then log in and leave karma (feedback).
Comment 23 Fedora Update System 2013-10-02 21:12:41 EDT
caja-terminal-0.8.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-10-05 21:31:31 EDT
caja-terminal-0.8.1-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2013-10-05 21:34:00 EDT
caja-terminal-0.8.1-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Wolfgang Ulbrich 2014-08-09 10:28:55 EDT
Package Change Request
======================
Package Name: caja-terminal
New Branches: epel7
Owners: raveit65
InitialCC:
Comment 27 Gwyn Ciesla 2014-08-11 08:28:23 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.